Package ru.bitel.bgbilling.modules.drweb.common.service

# Interface DrWebService

public interface DrWebService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `agentAVDActive(int agentId)`
  `void`
  `agentAVDBlock(int agentId, int monthCount)`
  `void`
  `agentAVDChangeTariff(int agentId, int tariffId)`
  `void`
  `agentAVDClear(List<Integer> contractIds, Date startMonth)`
  `void`
  `agentAVDDelete(int agentId)`
  `List<AgentAVD>`
  `agentAVDList(int contractId)`
  `void`
  `agentAVDRecalculate(String email, List<Integer> contractIds, String comment, Date startMonth)`
  `void`
  `tariffAVDDelete(int tariffId)`
  `List<TariffAVD>`
  `tariffAVDList(int contractId, boolean forNew)`
  `int`
  `tariffAVDUpdate(TariffAVD tariffAVD)`

- ## Method Details

  - ### tariffAVDList

    List<TariffAVD> tariffAVDList(int contractId, boolean forNew) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tariffAVDUpdate

    int tariffAVDUpdate(TariffAVD tariffAVD) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### tariffAVDDelete

    void tariffAVDDelete(int tariffId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### agentAVDList

    List<AgentAVD> agentAVDList(int contractId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### agentAVDChangeTariff

    void agentAVDChangeTariff(int agentId, int tariffId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### agentAVDBlock

    void agentAVDBlock(int agentId, int monthCount) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### agentAVDDelete

    void agentAVDDelete(int agentId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### agentAVDActive

    void agentAVDActive(int agentId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### agentAVDRecalculate

    void agentAVDRecalculate(String email, List<Integer> contractIds, String comment, Date startMonth) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### agentAVDClear

    void agentAVDClear(List<Integer> contractIds, Date startMonth) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`